Subject: Re: Compiling EIDE patch on PPC

From: Michel Dänzer <[email-masked]>
Date: Mon, 13 Aug 2001 21:23:59 +0200

Mike Fedyk wrote:

> > > Also, there is an include for asm/ide.h in apus_setup.c.  I didn't
> > > change it because I don't have any prep machines for testing, and for
> > > some reason it is also including from the m86k arch.
> >
> > APUS is not PREP, its some Amiga stuff. Basically, originally 68k-Amigas
> > upgraded with PPC processors; so no wonder they're a hybrid of m68k and
> > ppc ;-). I would _guess_ they need the <asm/ide.h> replaced by
> > <linux/ide.h> too.
>
> Oops, brain fart.  Did any of those APUS have PCI?

Yes and no. Not for IDE so far.

> If not, then the change may not be needed.

I don't know offhand, but don't worry, we'll take care of it.

--
Earthling Michel Dänzer (MrCooper)    \   Debian GNU/Linux (powerpc) developer
CS student, Free Software enthusiast   \        XFree86 and DRI project member

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/